spring.application.name=origin-service
spring.jpa.properties.hibernate.default_schema=origin_service
server.port=8080

#master-data
adias.fta.microServicesUrls.masterDataUrl = http://alis-api-gateway-nginx/gtm/master/api/v1/

#classification-service
adias.fta.microServicesUrls.classificationUrl = http://alis-api-gateway-nginx/gtm/classification/api/v1/classification/

#clasification-service
adias.fta.microServicesUrls.classificationMaterialsUrl=http://alis-api-gateway-nginx/gtm/classification/api/v1/

#referential-service
adias.fta.microServicesUrls.referentialUrl = http://alis-api-gateway-nginx/gtm/referential/api/v1/

reports=/data/files/origin-service

client.url=https://origin-service/

tenant.name=socomec

alis.aggregate.ids.publication.enabled=true
alis.aggregate.publication.enabled=false
opentracing.jaeger.enabled=false

supplier.declaration.missingdata.checked=false


#keycloak
keycloak.resource=origin-service-api
keycloak.credentials.secret=9fc0ef59-f32e-4803-98b1-6ec04f0cebf7

#Mytower S3 storage properties
mytower.lib.storage.driver=s3
mytower.lib.storage.s3.endpoint-override=https://s3.fr-par.scw.cloud
mytower.lib.storage.s3.region=fr-par
mytower.lib.storage.s3.bucket=socomec-uat
mytower.lib.storage.s3.access-key=SCW43EG9XQGGWRMS8470
mytower.lib.storage.s3.secret-key=dca78966-888f-49be-96e0-a802cf58eadc
mytower.lib.storage.relative-stored-path=/data/files/origin-service/
mytower.lib.storage.fs.root-folder=/data/files/origin-service/

sde-infinite-validity-enabled=true

feign.client.config.default.readTimeout=600000
feign.client.config.default.connectTimeout=600000

spring.cloud.stream.bindings.es-aggregate-ids-topic.destination=es-aggregate-api-ids-topic
spring.cloud.stream.bindings.es-aggregate-ids-topic.producer.partition-count=3